Ne pas cliquer
Parrain-Linux
vous fait un clin d'œil amical ;-D
Écrire un nouveau message
Page : 1 2 >
Divers problèmes avec mencoder
Avatar
compte supprimé
utilisateur supprimé
supprimé
Inscrit le : inconnu
Messages : inconnu
Point(s) : 0
Localisation :

Posté le 21/11/2016 à 09:59:05
Citer

Bonjour à toutes et à tous!

Je suis en train de m'initier à mencoder pour créer des XviD avec sous-titrage français incrusté en Comic Sans MS, en croppant les bandes noires, en supprimant les annonces en début de films et générique de fin, le tout avec un "poids" fixe (multiple de 703Mo) pour entrer sur un ou deux CDs maxi. (Précis, non ? mdr)

Il y a des choses que je ne comprends pas et d'autres qui me semble assez... floues.

Je vais commencer par ce que je ne comprends pas. Les pass... (
Source : http://forum.hardware.fr/hfr/VideoSon/Traitement-Video/topic-unique-mencoder-sujet_87558_1.htm). Je ne comprends pas bien ce système, est-ce qu'on doit d'abord faire l'encodage en 1 pass puis reprendre la vidéo résultante et faire l'encodage en 2 pass ? J'ai pas saisi le truc et malheureusement, le sujet est si ancien, qu'il n'y a plus de réponse. Peut-être que quelqu'un ici peut m'expliquer ?

Les choses floues maintenant...
1. Le "calcul"
Citation:
Aprés calcul, compte tenu du débit audio on choisi un bitrate de 1225kb/s.
Euuuuuuh quel calcul ? J'imagine que c'est ce calcul qui me donnera la taille finale de mon avi ?

2. Pour supprimer les annonces de début et le générique de fin, a priori, je dois utiliser la commande
Code:
-ss <début-de-coupe-en-secondes> -endpos <durée-à-enregistrer-ensecondes>
Euuuuuuh... Ça va être chaud le calcul encore. Encore, pour pointer le début, passe encore... Mais la position de fin, chauds, chauds, les marrons, chauds ! mdr
À mon avis, y'a un truc qui m'a échappé, nan ?

Merci d'avance à ceux qui se seront penché sur mon post et me répondront.

Belle journée.
;)

Sources
https://doc.ubuntu-fr.org/mencoder
http://forum.hardware.fr/hfr/VideoSon/Traitement-Video/topic-unique-mencoder-sujet_87558_1.htm

Dernière édition le 26/11/2016 à 14:50:26
Remonter Descendre Permalien du message
Avatar
linette
modérateur
Mixte
Inscrit le : 21/01/2014
Messages : 498
Point(s) : 3291
Localisation :
Avignon, Vaucluse, France
Posté le 21/11/2016 à 18:33:14
Citer

Salut :)


Juste une question: pourquoi tu n'utilises pas une interface graphique pour mencoder? Ca simplifie ce genre de choses ;)

Remonter Descendre Permalien du message
Avatar
compte supprimé
utilisateur supprimé
supprimé
Inscrit le : inconnu
Messages : inconnu
Point(s) : 0
Localisation :

Posté le 22/11/2016 à 11:15:08
Citer

Citation de linette:
Salut :)
Juste une question: pourquoi tu n'utilises pas une interface graphique pour mencoder? Ca simplifie ce genre de choses ;)
Coucou ! :)
Ben.... parce qu'on m'en a parlé en ligne de commande, du coup, j'ai pas cherché plus loin...
Vais regarder comment installer ça avec une interface graphique pour Sarah Cinannon...
Merci Linette ;)

Remonter Descendre Permalien du message
Avatar
compte supprimé
utilisateur supprimé
supprimé
Inscrit le : inconnu
Messages : inconnu
Point(s) : 0
Localisation :

Posté le 23/11/2016 à 16:14:10
Citer

Bon, je reviens ici car, y'a rien à faire, j'y arrive pas...

Donc, Linette, j'ai suivi ton conseil et je suis allée chercher une interface graphique pour Mencoder sur linuxpedia qui me renvoie vers QVideoConverter
Jusque là, tout va à peu près bien si ce n'est la légèreté des infos sur la fiche de QVC.

Je vais donc télécharger un 84040-QVideoConverter-0.3.1-src.tar.bz2 que j'extrais mais euuuuuh... Après, je sais pas...

Y'a vraiment un truc qui m'échappe... Sous windows, on télécharge un exe, on clique sur l'exe et ça s'installe.

Sous linux, on se retrouve avec un tas de dossiers/fichiers dont on ne sait que faire... :(

http://img4.hostingpics.net/pics/51789984040QVideoConverter031src01521x342.jpg http://img4.hostingpics.net/pics/806329src02494x468.jpg http://img4.hostingpics.net/pics/782992icons03492x433.jpg

Arrivée, je m'attends à avoir à faire un truc genre
Code:
sudo bash installer.sh

Oui, mais voilà, y'a pas de installer.sh et bien entendu, un
Code:
sudo apt-get install QVideoConverter

me renvoie
Code:
E: Impossible de trouver le paquet QVideoConverter

Donc... Je sais plus...
Je suis ptêt pas faite pour Linux ou c'est ptêt Linux qui n'est pas fait pour moi, j'en sais rien, mais là, je désespère...
Pleure

Remonter Descendre Permalien du message
Avatar
linette
modérateur
Mixte
Inscrit le : 21/01/2014
Messages : 498
Point(s) : 3291
Localisation :
Avignon, Vaucluse, France
Posté le 23/11/2016 à 20:22:06
Citer

Salut :)


Alors sous linux on préfere le passage par les dépots pour installer un logiciel WinkCela permet d'installer les dépendances au besoin ainsi que tout mettre en place sur le systeme (icones, entrée menu, etc...)

Tiens une doc ubuntu (que tu dois être sous mint d'après ton profil) avec en premier une liste d'interfaces graphiques disponibles pour ffmpeg https://doc.ubuntu-fr.org/ffmpeg

ffmpeg peut etre plus facilitant car disposnat justement de plus de GUI disponible ;)

Remonter Descendre Permalien du message
Avatar
H2L29
utilisateur
Parrain
Inscrit le : 11/03/2015
Messages : 357
Point(s) : 9228
Distribution : Debian
Localisation :
Brest, Finistère, France
Posté le 23/11/2016 à 20:26:37
Citer

salut, c'est un programme à compiler c'est expliqué comment faire https://www.linux-apps.com/content/show.php/QVideoConverter?content=84040

il te faut l'environnement de compilation

Code:
sudo apt-get install build-essential

puis tu entre dans le dossier
Code:
qmake
make
sudo make install

fait une copie de la sortie histoire de voir ce qui se passe

_________________
http://www.parrain-linux.com/promotion.php?image=PL-user.png&membre=H2L29
http://h2l29.pagesperso-orange.fr/images/GIF001.GIF
pas d'aide par MP utilisez le forum c'est fait pour ça http://www.parrain-linux.com/images/emoticones/kopete020.gif
Remonter Descendre Permalien du message
Avatar
arghlub
utilisateur
Parrain
Inscrit le : 12/09/2016
Messages : 171
Point(s) : 1089
Distribution : Debian | MX Linux | LinuxMint
Localisation :
pertuis, Vaucluse, France
Posté le 24/11/2016 à 03:01:03
Citer

Salut Malynou,

Comme te l'explique H2L29, il faut que tu compiles le source pour pouvoir utiliser certains logiciels qui n'ont pas été prévu pour ta distrib' à l'origine (dans le cas de QVideoConverter, il a été fait pour OpenSuse et il n'existe pas de paquets pour les autres distros, dont Linux Mint).

Donc il faut que tu compiles toi-même le logiciel... mais pas d'affolement... c'est 4 lignes de commandes comme te le précise H2L29.
Et n'oublie pas après la première étape de rentrer dans le dossier où tu as décompressé ton archive, par exemple :
Code:
cd /home/ninou/TON_DOSSIER

Voici deux petits liens qui expliquent pourquoi sous Linux, on ne fonctionne pas comme sous Windows et ses executables :
Mais ne suis pas la procédure expliquée dans ces liens (ici il faut passer par qmake) donc fais comme le monsieur (H2L29) il t'a dit.   ^ ^

_________________

... pour une informatique libre !
-membre de l'April
Remonter Descendre Permalien du message
Avatar
compte supprimé
utilisateur supprimé
supprimé
Inscrit le : inconnu
Messages : inconnu
Point(s) : 0
Distribution : Debian | MX Linux | LinuxMint
Localisation :

Posté le 24/11/2016 à 11:45:28
Citer

Merci pour tous vos éclaircissements.
Bon, j'ai pas eu une seconde à moi depuis que j'ai posté mon appel au secours, c'est le pourquoi de la cause de mon silence...
Là, j'ai une petite demie-heure devant moi, je m'essaie à la manipulation de H2L29.
@ touuuuuuuuute...

Remonter Descendre Permalien du message
Avatar
compte supprimé
utilisateur supprimé
supprimé
Inscrit le : inconnu
Messages : inconnu
Point(s) : 0
Distribution : Debian | MX Linux | LinuxMint
Localisation :

Posté le 24/11/2016 à 11:53:44
Citer

Pffffffffffffffff...
Je sens que je vais encore me faire rouspéter dessus.
Bon, je poste la sortie que j'ai (le ridicule, n'a jamais tué personne, tant pis si j'ai encore rien compris)
Code:
ninou@ninou-HP-G61-Notebook-PC ~ $ sudo apt-get install build-essential
[sudo] Mot de passe de ninou :
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
build-essential is already the newest version (12.1ubuntu2).
build-essential passé en « installé manuellement ».
0 mis à jour, 0 nouvellement installés, 0 à enlever et 3 non mis à jour.
ninou@ninou-HP-G61-Notebook-PC ~ $ cd /
bin/        etc/        lost+found/ root/       sys/        
boot/       home/       media/      run/        tmp/        
cdrom/      lib/        mnt/        sbin/       usr/        
dev/        lib64/      proc/       srv/        var/        
ninou@ninou-HP-G61-Notebook-PC ~ $ cd /home/ninou/Téléchargements/84040-QVideoConverter-0.3.1-src/
ninou@ninou-HP-G61-Notebook-PC ~/Téléchargements/84040-QVideoConverter-0.3.1-src
 $ qmake
qmake: could not exec '/usr/lib/x86_64-linux-gnu/qt4/bin/qmake': No such file or directory
ninou@ninou-HP-G61-Notebook-PC ~/Téléchargements/84040-QVideoConverter-0.3.1-src
 $ cd ..
ninou@ninou-HP-G61-Notebook-PC ~/Téléchargements $ qmake
qmake: could not exec '/usr/lib/x86_64-linux-gnu/qt4/bin/qmake': No such file or directory

Bon... Ne soyez pas trop moqueurs, hein... tire-langue

Remonter Descendre Permalien du message
Avatar
arghlub
utilisateur
Parrain
Inscrit le : 12/09/2016
Messages : 171
Point(s) : 1089
Distribution : Debian | MX Linux | LinuxMint
Localisation :
pertuis, Vaucluse, France
Posté le 24/11/2016 à 12:10:11
Citer

Coucou,
Citation de Malynou:

Code:
ninou@ninou-HP-G61-Notebook-PC ~ $ sudo apt-get install build-essential
[sudo] Mot de passe de ninou :
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances  
Lecture des informations d'état... Fait
build-essential is already the newest version (12.1ubuntu2).
build-essential passé en « installé manuellement ».
0 mis à jour, 0 nouvellement installés, 0 à enlever et 3 non mis à jour.
ninou@ninou-HP-G61-Notebook-PC ~ $ cd /home/ninou/Téléchargements/84040-QVideoConverter-0.3.1-src/
ninou@ninou-HP-G61-Notebook-PC ~/Téléchargements/84040-QVideoConverter-0.3.1-src
 $ qmake
qmake: could not exec '/usr/lib/x86_64-linux-gnu/qt4/bin/qmake': No such file or directory
ninou@ninou-HP-G61-Notebook-PC ~/Téléchargements/84040-QVideoConverter-0.3.1-src
 $ cd ..
ninou@ninou-HP-G61-Notebook-PC ~/Téléchargements $ qmake
qmake: could not exec '/usr/lib/x86_64-linux-gnu/qt4/bin/qmake': No such file or directory


Bon... Ne soyez pas trop moqueurs, hein... tire-langue


Bon à priori, t'as un probleme avec qmake.
Essaie de l'installer (avec ses dépendances) :

Code:
sudo apt-get install qt4-qmake libqt4-dev


Et non, on va essayer de pas (trop) se moquer! :lol: tire-langue

_________________

... pour une informatique libre !
-membre de l'April
Remonter Descendre Permalien du message
Avatar
compte supprimé
utilisateur supprimé
supprimé
Inscrit le : inconnu
Messages : inconnu
Point(s) : 0
Distribution : Debian | MX Linux | LinuxMint
Localisation :

Posté le 24/11/2016 à 12:31:50
Citer

Pffffffffffffffffffffff...

Ça veut jamais avec moi, c'est pas possible, ça !

https://zerobin.lagout.org/?3a468dcad82bea6f#Qons/ntomAwfqr3R+SwnB9U388HdUMv88JPRyQIcdNY=

Remonter Descendre Permalien du message
Avatar
arghlub
utilisateur
Parrain
Inscrit le : 12/09/2016
Messages : 171
Point(s) : 1089
Distribution : Debian | MX Linux | LinuxMint
Localisation :
pertuis, Vaucluse, France
Posté le 24/11/2016 à 17:24:45
Citer

Citation de Malynou:
Pffffffffffffffffffffff...

Ça veut jamais avec moi, c'est pas possible, ça !

https://zerobin.lagout.org/?3a468dcad82bea6f#Qons/ntomAwfqr3R+SwnB9U388HdUMv88JPRyQIcdNY=



Tu t'es plantée dans le cd (change directory) !!!
Code:

ninou@ninou-HP-G61-Notebook-PC ~ $ cd /home/ninou/Téléchargements/
ninou@ninou-HP-G61-Notebook-PC ~/Téléchargements $ qmake


C'est pas  : cd /home/ninou/Téléchargements/

Mais
Code:

cd /home/ninou/Téléchargements/84040-QVideoConverter-0.3.1-src
qmake


Donc si ça veut jamais avec toi, c'est que tu es peut-être un peu tête en l'air ! tire-langue

Dernière édition le 24/11/2016 à 17:35:54
_________________

... pour une informatique libre !
-membre de l'April
Remonter Descendre Permalien du message
Avatar
compte supprimé
utilisateur supprimé
supprimé
Inscrit le : inconnu
Messages : inconnu
Point(s) : 0
Distribution : Debian | MX Linux | LinuxMint
Localisation :

Posté le 24/11/2016 à 17:54:37
Citer

Oui, j'ai vu après coup mais ça change pas grand chose.

lagout m'a aidée via IRC et j'ai une erreur bizarre sur le make :

https://zerobin.lagout.org/?ce22ae730be67992#gfjecZQYCaPQPL6luvzhR4DRAdN/NyaUuKqqyjbCxTg=

Remonter Descendre Permalien du message
Avatar
arghlub
utilisateur
Parrain
Inscrit le : 12/09/2016
Messages : 171
Point(s) : 1089
Distribution : Debian | MX Linux | LinuxMint
Localisation :
pertuis, Vaucluse, France
Posté le 24/11/2016 à 18:04:49
Citer

Bon, bon, bon....sinon (j'avais prévu le coup tire-langue), voici un article sur trois logiciels de conversion-vidéo en interface graphique : WinFF , Avidemux et Handrake avec en plus un petit topo sur les codecs-video (ne pas confondre avec les conteneurs : OGG, AVI, MKV...)
ps : Ceci dit, si t'as un problème avec make, cela peut-être ennuyeux pour de futures compilations.

Dernière édition le 24/11/2016 à 18:07:14
_________________

... pour une informatique libre !
-membre de l'April
Remonter Descendre Permalien du message
Avatar
arghlub
utilisateur
Parrain
Inscrit le : 12/09/2016
Messages : 171
Point(s) : 1089
Distribution : Debian | MX Linux | LinuxMint
Localisation :
pertuis, Vaucluse, France
Posté le 24/11/2016 à 19:08:30
Citer

Teste Avidemux, à priori il est nickel (je viens de l'installer pour petit test).

Les paquets sont dans les dépôts de LinuxMint, de plus, l'interface est  en français (à part les boutons [Open] et [Save] mais tu vas pas chipoter tire-langue).

En plus tu peux facilement «rogner» tes videos :




Code:
sudo apt-get install avidemux


Un paquet permet de rajouter certaines fonctionnalités (mais je n'en sais pas plus, je l'ai pas installé ce plugin)
Code:

sudo apt-get install avidemux-plugins-gtk

^ ^

Dernière édition le 24/11/2016 à 19:11:36
_________________

... pour une informatique libre !
-membre de l'April
Remonter Descendre Permalien du message
Avatar
compte supprimé
utilisateur supprimé
supprimé
Inscrit le : inconnu
Messages : inconnu
Point(s) : 0
Distribution : Debian | MX Linux | LinuxMint
Localisation :

Posté le 26/11/2016 à 07:51:32
Citer

Citation de arghlub:
j'avais prévu le coup tire-langue
Vraiment... Je ne comprends pas pourquoi... tire-langue

Sinon, j'ai tenté ton
Code:
sudo apt-get install avidemux
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Le paquet avidemux est un paquet virtuel fourni par :
  avidemux2.6-unstable-cli 1:2.6.12+git2016.10.24-08.30.08-1~ppa+xenial0
  avidemux2.6-cli 1:2.6.14-1~ppa+xenial0
Vous devez explicitement sélectionner un paquet à installer.

E: Le paquet « avidemux » n'a pas de version susceptible d'être installée
(Tu l'avais prévu ce coup là, aussi mdr)
Bref, du coup, j'ai ouvert un gestionnaire de paquets synaptic et j'ai installé tout ce qui était installable sur la recherche avidemux à condition que ce ne soit pas unstable (je sais pas pourquoi, mais je sens bien l'engueulade arriver, là... Confus)
Bref, à priori, c'est installé.
J'ai réussi à ouvrir un mkv pour le travailler.
Maintenant, yapuka... fouiller et apprendre.
Merci arghlub et merci lagout et merci linette ;)

Dernière édition le 26/11/2016 à 07:56:43
Remonter Descendre Permalien du message
Avatar
linette
modérateur
Mixte
Inscrit le : 21/01/2014
Messages : 498
Point(s) : 3291
Localisation :
Avignon, Vaucluse, France
Posté le 26/11/2016 à 08:04:29
Citer

Re :)


Génial si tu as trouvé ce que tu cherches :)


Merci de rajouter [RESOLU] au titre de ton post (en éditant le premier message) si tu penses que c'est effectivement résolu ;)

Remonter Descendre Permalien du message
Avatar
compte supprimé
utilisateur supprimé
supprimé
Inscrit le : inconnu
Messages : inconnu
Point(s) : 0
Localisation :

Posté le 26/11/2016 à 14:07:19
Citer

Hum hum...

Bon... Comment dire...

Au lancement de avidemux, ça me marque qu'il y a une mise à jour et qu'il faut que j'aille la télécharger ici

Je télécharge donc un "avidemux_2.6.15.appImage"
(Download Avidemux Linux64, appImage universal binaries) et là... Ben rebelote ! J'en fais quoi de ce truc ?

J'ai tenté un
Code:
ninou@ninou-HP-G61-Notebook-PC ~ $ cd /home/ninou/Téléchargements/
ninou@ninou-HP-G61-Notebook-PC ~/Téléchargements $ avidemux_2.6.15.appImage
avidemux_2.6.15.appImage : commande introuvable
ninou@ninou-HP-G61-Notebook-PC ~/Téléchargements $ sudo apt-get install avidemux_2.6.15.appImage
[sudo] Mot de passe de ninou :
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances
Lecture des informations d'état... Fait
E: Impossible de trouver le paquet avidemux_2.6.15.appImage
E: Couldn't find any package by glob 'avidemux_2.6.15.appImage'
E: Impossible de trouver de paquet correspondant à l'expression rationnelle « avidemux_2.6.15.appImage »
Mais bon... ça donne rien de bien folichon, quoi... arf

Dernière édition le 26/11/2016 à 14:09:07
Remonter Descendre Permalien du message
Avatar
H2L29
utilisateur
Parrain
Inscrit le : 11/03/2015
Messages : 357
Point(s) : 9228
Distribution : Debian
Localisation :
Brest, Finistère, France
Posté le 26/11/2016 à 20:16:20
Citer

t'a une habitude de windosien qui te colle à la peau : chercher à télécharger des applications depuis internet

linux utilise des dépôts

https://lescahiersdudebutant.fr/jessie/index8.html#administrezvotresysteme

_________________
http://www.parrain-linux.com/promotion.php?image=PL-user.png&membre=H2L29
http://h2l29.pagesperso-orange.fr/images/GIF001.GIF
pas d'aide par MP utilisez le forum c'est fait pour ça http://www.parrain-linux.com/images/emoticones/kopete020.gif
Remonter Descendre Permalien du message
Avatar
compte supprimé
utilisateur supprimé
supprimé
Inscrit le : inconnu
Messages : inconnu
Point(s) : 0
Distribution : Debian
Localisation :

Posté le 26/11/2016 à 21:06:31
Citer

Citation de H2L29:
t'a une habitude de windosien qui te colle à la peau

Effectivement, je vais reprendre du début parce que je vois bien que je patauge dans la semoule et j'agace plein de monde...
Donc → → → https://openclassrooms.com/courses/reprenez-le-controle-a-l-aide-de-linux

Remonter Descendre Permalien du message
Écrire un nouveau message
Page : 1 2 >
Page générée en 0.121 seconde(s).